﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="14.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{A334BA89-79FC-40E4-8D42-4852ECD2505B}</ProjectGuid>
    <RootNamespace>dot</RootNamespace>
    <Keyword>Win32Proj</Keyword>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>14.0.25123.0</_ProjectFileVersion>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <OutDir>$(SolutionDir)$(Configuration)\Graphviz\bin\</OutDir>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
    <RunCodeAnalysis>true</RunCodeAnalysis>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <OutDir>$(SolutionDir)$(Configuration)\Graphviz\bin\</OutDir>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
    <RunCodeAnalysis>true</RunCodeAnalysis>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>$(SolutionDir)windows\include;$(SolutionDir)lib;$(SolutionDir)lib\cdt;$(SolutionDir)lib\cgraph;$(SolutionDir)lib\common;$(SolutionDir)lib\gvc;$(SolutionDir)lib\pathplan;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_DEBUG;_CONSOLE;GVDLL;DEMAND_LOADING;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <PrecompiledHeader />
      <WarningLevel>Level4</WarningLevel>
      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>
      <EnablePREfast>true</EnablePREfast>
      <DisableSpecificWarnings>4996</DisableSpecificWarnings>
    </ClCompile>
    <Link>
      <AdditionalLibraryDirectories>$(OutDir)</AdditionalLibraryDirectories>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Console</SubSystem>
      <DataExecutionPrevention />
      <TargetMachine>MachineX86</TargetMachine>
      <AdditionalDependencies>cgraph.lib;gvc.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <StackReserveSize>4000000</StackReserveSize>
    </Link>
    <PostBuildEvent>
      <Command>$(OutDir)dot -c
copy /B /Y $(OutDir)dot.exe $(OutDir)circo.exe
copy /B /Y $(OutDir)dot.exe $(OutDir)fdp.exe
copy /B /Y $(OutDir)dot.exe $(OutDir)neato.exe
copy /B /Y $(OutDir)dot.exe $(OutDir)osage.exe
copy /B /Y $(OutDir)dot.exe $(OutDir)patchwork.exe
copy /B /Y $(OutDir)dot.exe $(OutDir)sfdp.exe
copy /B /Y $(OutDir)dot.exe $(OutDir)twopi.exe</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <AdditionalIncludeDirectories>$(SolutionDir)windows\include;$(SolutionDir)lib;$(SolutionDir)lib\cdt;$(SolutionDir)lib\cgraph;$(SolutionDir)lib\common;$(SolutionDir)lib\gvc;$(SolutionDir)lib\pathplan;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>NDEBUG;_CONSOLE;GVDLL;DEMAND_LOADING;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <PrecompiledHeader />
      <WarningLevel>Level4</WarningLevel>
      <EnablePREfast>true</EnablePREfast>
      <DisableSpecificWarnings>4996</DisableSpecificWarnings>
    </ClCompile>
    <Link>
      <AdditionalLibraryDirectories>$(OutDir)</AdditionalLibraryDirectories>
      <GenerateDebugInformation>No</GenerateDebugInformation>
      <SubSystem>Console</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <DataExecutionPrevention />
      <TargetMachine>MachineX86</TargetMachine>
      <AdditionalDependencies>cgraph.lib;gvc.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <StackReserveSize>4000000</StackReserveSize>
    </Link>
    <PostBuildEvent>
      <Command>$(OutDir)dot -c
copy /B /Y $(OutDir)dot.exe $(OutDir)circo.exe
copy /B /Y $(OutDir)dot.exe $(OutDir)fdp.exe
copy /B /Y $(OutDir)dot.exe $(OutDir)neato.exe
copy /B /Y $(OutDir)dot.exe $(OutDir)osage.exe
copy /B /Y $(OutDir)dot.exe $(OutDir)patchwork.exe
copy /B /Y $(OutDir)dot.exe $(OutDir)sfdp.exe
copy /B /Y $(OutDir)dot.exe $(OutDir)twopi.exe</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="dot.c" />
    <ClCompile Include="no_builtins.c" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\lib\cdt\cdt.vcxproj">
      <Project>{83cf0498-7884-49d3-8b3c-263c5af5fe1b}</Project>
      <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
    </ProjectReference>
    <ProjectReference Include="..\..\lib\circogen\gvcircogen.vcxproj">
      <Project>{3a011065-b75e-49c8-b480-1a7c8ebd6699}</Project>
      <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
    </ProjectReference>
    <ProjectReference Include="..\..\lib\dotgen\gvdotgen.vcxproj">
      <Project>{4b6103ef-590b-4916-92cb-d06934459928}</Project>
      <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
    </ProjectReference>
    <ProjectReference Include="..\..\lib\fdpgen\gvfdpgen.vcxproj">
      <Project>{5ec4407d-0dcd-47e0-9fdb-09011efa6382}</Project>
      <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
    </ProjectReference>
    <ProjectReference Include="..\..\lib\gvc.vcxproj">
      <Project>{15229511-9f6c-48a5-9194-660ca6492563}</Project>
      <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
    </ProjectReference>
    <ProjectReference Include="..\..\lib\neatogen\gvneatogen.vcxproj">
      <Project>{c5ceb09e-79af-4091-accf-d28ec3d7d90f}</Project>
      <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
    </ProjectReference>
    <ProjectReference Include="..\..\lib\patchwork\gvpatchwork.vcxproj">
      <Project>{6bd77bde-151d-4824-a8bc-9f067662f7ab}</Project>
      <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
    </ProjectReference>
    <ProjectReference Include="..\..\lib\pathplan\Pathplan.vcxproj">
      <Project>{bd347753-a09d-48b4-8752-f1d8d9cf235d}</Project>
      <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
    </ProjectReference>
    <ProjectReference Include="..\..\lib\sparse\gvsparse.vcxproj">
      <Project>{b76bce8c-63cc-4a99-88b5-d621d563e699}</Project>
      <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
    </ProjectReference>
    <ProjectReference Include="..\..\lib\twopigen\gvtwopigen.vcxproj">
      <Project>{24e8c882-cd11-475a-a383-ff52ac05dfe3}</Project>
      <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
    </ProjectReference>
    <ProjectReference Include="..\..\lib\vpsc\vpsc.vcxproj">
      <Project>{2f5a730b-132c-4319-a1b3-dcbe05e2e1b1}</Project>
      <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
    </ProjectReference>
    <ProjectReference Include="..\..\plugin\core\gvplugin_core.vcxproj">
      <Project>{ae706502-3203-4815-bf50-4d73bf96ba58}</Project>
      <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
    </ProjectReference>
    <ProjectReference Include="..\..\plugin\dot_layout\gvplugin_dot_layout.vcxproj">
      <Project>{189e64e3-8a67-4477-8b18-3b174c03f6b9}</Project>
      <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
    </ProjectReference>
    <ProjectReference Include="..\..\plugin\gdiplus\gvplugin_gdiplus.vcxproj">
      <Project>{0f4d5d8f-f4d6-4a5d-97e0-9b482257f493}</Project>
    </ProjectReference>
    <ProjectReference Include="..\..\plugin\gd\gvplugin_gd.vcxproj">
      <Project>{2fddc7c5-66e5-4520-b735-fd1a065aa9ba}</Project>
    </ProjectReference>
    <ProjectReference Include="..\..\plugin\neato_layout\gvplugin_neato_layout.vcxproj">
      <Project>{92ea9398-9244-4daa-8e7d-2f6bec338cab}</Project>
      <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
    </ProjectReference>
    <ProjectReference Include="..\..\plugin\pango\gvplugin_pango.vcxproj">
      <Project>{42c526f9-36e5-4b20-92ca-265c90058651}</Project>
      <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>
